#
# spec file for package xf86-video-dummy
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xf86-video-dummy
Version:        0.3.8
Release:        lp150.1.3
Summary:        Virtual/offscreen frame buffer video driver for the Xorg X server
License:        MIT
Group:          System/X11/Servers/XF86_4
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xf86dgaproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkgconfig(xorg-server) >= 1.0.99.901
BuildRequires:  pkgconfig(xproto)
# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
%x11_abi_videodrv_req

%description
dummy is an Xorg driver for virtual/offscreen frame buffer.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/dummy_drv.so

%changelog
* Sun Jan  1 2017 sndirsch@suse.com
- Update to version 0.3.8
  * This new release of the dummy Xorg video driver adds a few
    cleanups and compatibility with xorg-server 1.19.
* Thu Sep 12 2013 zaitor@opensuse.org
- Update to version 0.3.7:
  + Remove mibstore.h.
- Drop U_mibstore.patch, fixed upstream.
* Wed Aug  7 2013 ro@suse.de
- add ExcludeArch for s390 and s390x
* Wed Mar 20 2013 sndirsch@suse.com
- no longer autoselect this driver for installation
* Tue Mar 19 2013 hrvoje.senjan@gmail.com
- Add U_mibstore.patch, fixes build with xorg-server 1.14
* Fri Sep 14 2012 sndirsch@suse.com
- update to version 0.3.6
  * add scrn conversion api compat header.
  * convert to new scrn conversion APIs.
  * convert to the new server APIs.
  * Don't use XFreeXDGA to determine DGA support
  * Only include Xv headers if server supports it
  * Add XORG_LIBS to LIBADD
* Thu Apr 19 2012 dimstar@opensuse.org
- Update to version 0.3.5:
  + Add a configure option to disable dga
  + Dummy drivers don't need PCI
  + Fix DGA includes
  + Increase the maximum framebuffer size to 32767x32767
  + Build system fixes.
- Use %%x11_abi_videodrv_req instead of static ABI Requires.
* Wed Apr 18 2012 vuntz@opensuse.org
- Split xf86-video-dummy from xorg-x11-driver-video.
  Initial version: 0.3.4.
